import _pixelWorker from "./_pixelWorker";

interface res {
  color: string
  distortedValue: number
  id: string
  value: number
}

export default async (img: Image, correctDistortion: boolean): Promise<res[]> => {
  return await _pixelWorker({ pixels: img.overlayData, width: img.width, height: img.height, correctDistortion, type: "count" })
};