const worker = new Worker("build/workers/pixel-worker.js");

let i = 0;

let cb = {};

worker.addEventListener("message", ev => {
  if (ev.data.i in cb) {
    cb[ev.data.i](ev.data.result);
  }
})

export default (msg: any): Promise<any> => new Promise((res, rej) => {
  i++;
  const _i = i;
  worker.postMessage({ i: _i, ...msg });
  cb[_i] = res;
});